## org.eclipse.datatools.modelbase.sql.expressions
Interface QueryExpression

All Known Subinterfaces:
  QueryExpressionDefault, QueryExpressionRoot

All Known Implementing Classes:
  QueryExpressionDefaultImpl, QueryExpressionRootImpl

    public interface QueryExpression

A representation of the model object 'Query Expression'. Reference: 5WD-02-Foundation-2002-12 7 Query Expression

See Also:
  `SQLExpressionsPackage.getQueryExpression()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Method Detail

### getSQL

    java.lang.String getSQL()

### setSQL

    void setSQL(java.lang.String sqlText)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.